Package org.optaplanner.core.impl.exhaustivesearch.scope

## Class ExhaustiveSearchPhaseScope<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.phase.scope.AbstractPhaseScope<Solution_>
  - - org.optaplanner.core.impl.exhaustivesearch.scope.ExhaustiveSearchPhaseScope<Solution_>

- Type Parameters:
    `Solution_` - the solution type, the class with the `PlanningSolution` annotation

      public class ExhaustiveSearchPhaseScope<Solution_>
      extends AbstractPhaseScope<Solution_>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.phase.scope.AbstractPhaseScope

      `bestSolutionStepIndex, childThreadsScoreCalculationCount, endingScoreCalculationCount, endingSystemTimeMillis, logger, solverScope, startingScore, startingScoreCalculationCount, startingSystemTimeMillis`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExhaustiveSearchPhaseScope​(DefaultSolverScope<Solution_> solverScope)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addExpandableNode​(ExhaustiveSearchNode moveNode)` |
    `Score` | `getBestPessimisticBound()` |
    `int` | `getDepthSize()` |
    `SortedSet<ExhaustiveSearchNode>` | `getExpandableNodeQueue()` |
    `ExhaustiveSearchStepScope<Solution_>` | `getLastCompletedStepScope()` |
    `List<ExhaustiveSearchLayer>` | `getLayerList()` |
    `void` | `registerPessimisticBound​(Score pessimisticBound)` |
    `void` | `setBestPessimisticBound​(Score bestPessimisticBound)` |
    `void` | `setExpandableNodeQueue​(SortedSet<ExhaustiveSearchNode> expandableNodeQueue)` |
    `void` | `setLastCompletedStepScope​(ExhaustiveSearchStepScope<Solution_> lastCompletedStepScope)` |
    `void` | `setLayerList​(List<ExhaustiveSearchLayer> layerList)` |

    - ### Methods inherited from class org.optaplanner.core.impl.phase.scope.AbstractPhaseScope

      `addChildThreadsScoreCalculationCount, assertExpectedWorkingScore, assertPredictedScoreFromScratch, assertShadowVariablesAreNotStale, assertWorkingScoreFromScratch, calculatePhaseTimeMillisSpentUpToNow, calculateScore, calculateSolverTimeMillisSpentUpToNow, endingNow, getBestScore, getBestSolutionStepIndex, getEndingSystemTimeMillis, getNextStepIndex, getPhaseBestSolutionTimeMillis, getPhaseScoreCalculationCount, getPhaseScoreCalculationSpeed, getPhaseTimeMillisSpent, getScoreDefinition, getScoreDirector, getSolutionDescriptor, getSolverScope, getStartingScore, getStartingSystemTimeMillis, getWorkingEntityCount, getWorkingEntityList, getWorkingRandom, getWorkingSolution, getWorkingValueCount, isBestSolutionInitialized, reset, setBestSolutionStepIndex, startingNow, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExhaustiveSearchPhaseScope

          public ExhaustiveSearchPhaseScope​(DefaultSolverScope<Solution_> solverScope)

  - ### Method Detail

    - #### getLayerList

          public List<ExhaustiveSearchLayer> getLayerList()

    - #### setLayerList

          public void setLayerList​(List<ExhaustiveSearchLayer> layerList)

    - #### getExpandableNodeQueue

          public SortedSet<ExhaustiveSearchNode> getExpandableNodeQueue()

    - #### setExpandableNodeQueue

          public void setExpandableNodeQueue​(SortedSet<ExhaustiveSearchNode> expandableNodeQueue)

    - #### getBestPessimisticBound

          public Score getBestPessimisticBound()

    - #### setBestPessimisticBound

          public void setBestPessimisticBound​(Score bestPessimisticBound)

    - #### getLastCompletedStepScope

          public ExhaustiveSearchStepScope<Solution_> getLastCompletedStepScope()

      Specified by:
        `getLastCompletedStepScope` in class `AbstractPhaseScope<Solution_>`

    - #### setLastCompletedStepScope

          public void setLastCompletedStepScope​(ExhaustiveSearchStepScope<Solution_> lastCompletedStepScope)

    - #### getDepthSize

          public int getDepthSize()

    - #### registerPessimisticBound

          public void registerPessimisticBound​(Score pessimisticBound)

    - #### addExpandableNode

          public void addExpandableNode​(ExhaustiveSearchNode moveNode)